How To Download Old Versions of Firefox Add-ons

01 September 2017

While you may think that one should be able to browse to addons.mozilla.com and download any old version of a plugin, that would be too simple and user friendly. Instead Mozilla has decided to prevent users from installing, or even downloading, versions deemed incompatible with the user's current version of Firefox.

This works using the browser's user agent string, and can be spoofed using an extension of your choice.

Find the "Works with Firefox " text next to the plugin version you are interested in and use a user agent that falls between the supported versions. For firefox 4 you could use Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:2.0.1) Gecko/20110606 Firefox/4.0.1 (from useragentstring.com) and the green buttons appear!

If you need to bypass firefox addon compatibility checking too, Nightly Tester Tools is one way to do it. Install it and check the Tools -> Nightly Tester Tools -> Force Addon Compatibility option.